package xyz.veronie.bgg.types;

public enum Subtype {
	BOARDGAME("Board games", "boardgame"),
	BGEXPANSION("Board game expansions", "boardgameexpansion"),
	BGACCESSORIES("Board game accessories", "boardgameaccessory"),
	RPG_ISSUES("RPG issues", "rpgissue"),
	RPG_ITEMS("RPG items", "rpgitem"),
	VIDEOGAMES("Video Games", "videogame");
			
	private String name; //< the display name
	private String thingTypeString; //< the THINGTYPE string for BGG XMLAPI2
	
	private Subtype(String name, String thingtypestr) {
		this.name = name;
		this.thingTypeString = thingtypestr;
	}
	
	@Override
	public String toString() {
		return this.name;
	}

	/// return the string used in BGG XMLAPI2 to identify the thingtype
	public String toApiString() {
		return this.thingTypeString;
	}
	
}
